#include "StdAfx.h"
#include "PadEditPanel.h"
#include "Application.h"
#include "TipModel.h"

namespace tipuio {

REGISTER_COMPONENT_CREATOR(_T("PadEditPanel"), PadEditPanel);
PadEditPanel::PadEditPanel(void)
{	
}

PadEditPanel::~PadEditPanel(void)
{
}
void PadEditPanel::OnEnChange()
{
	TipModel* model = dynamic_cast<TipModel*>(Application::get_instance()->GetModel());
	if (model != NULL)
	{
		model->GetPadDocument()->SetEditChanged(TRUE);
	}
}

};